Subject: Re: bug#17137: autoload-generate-file-autoloads should respect finder--builtins-alist

From: Glenn Morris <[email-masked]>
Date: Mon, 31 Mar 2014 13:58:02 -0400

Stefan Monnier wrote:

> I also remember now that maybe autoload-generate-file-autoloads should
> simply use autoload-file-load-name instead of file-name-nondirectory.

Can package names contain "/" characters?

Anyway, the easy solution is to remove Version: as you suggested. I
don't think just setting Package: would work, without also setting
Version: to match whatever the actual package version is (because you
would get a random Version: associated with Package: depending on what
order the files were scanned in).

IMO the problem is that "Version" is a very generic header that people
were using before package.el was invented, and now package.el seems to
want complete ownership of it.

But since this autoloads issue only affects things that ship with Emacs,
we can simply fix up the headers as needed.

Perhaps finder-compile-keywords should somehow issue a warning if it
finds a Version: header in the "wrong" file.